Last Comment Bug 859038 - UI stops painting after resuming from sleep
: UI stops painting after resuming from sleep
Status: RESOLVED DUPLICATE of bug 873110
:
Product: Core
Classification: Components
Component: Graphics (show other bugs)
: 21 Branch
: x86_64 Windows 7
: -- major with 10 votes (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-07 01:54 PDT by gary199301
Modified: 2013-08-13 18:25 PDT (History)
11 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description gary199301 2013-04-07 01:54:28 PDT
After resuming from sleep, the UI stops painting (Firefox 21 beta). Links can still be opened and tabs selected, but painting is not done. Firefox has to be restarted to overcome the problem.
Comment 1 Matthias Versen [:Matti] 2013-04-07 14:17:49 PDT
Please post the graphic section from about:support
Comment 2 gary199301 2013-04-07 21:14:39 PDT
(In reply to Matthias Versen [:Matti] from comment #1)
> Please post the graphic section from about:support

Adapter Description           ATI Radeon HD 5800 Series

Adapter Driver                saticfx64 aticfx64 aticfx64 aticfx32 aticfx32 aticfx32 atiumd64 atidxx64 atidxx64 atiumdag atidxx32 atidxx32 atiumdva atiumd6a atitmm64

Adapter RAM                   1024

Device ID                     0x6899

Direct2D                      Enabledtrue

DirectWrite                   Enabledtrue (6.2.9200.16492)

Driver Date                   12-19-2012

Driver Version                9.12.0.0

GPU #2                        Activefalse

GPU Accelerated Windows       1/1 Direct3D 10

Vendor ID                     0x1002

WebGL Renderer                Google Inc. -- ANGLE (ATI Radeon HD 5800 Series)

AzureCanvasBackend            direct2d

AzureContentBackend           direct2d

AzureFallbackCanvasBackend    cairo
Comment 3 RTT 2013-05-24 15:32:46 PDT
Firefox 21.0 final, Windows 7 Home Premium 64-bit, and I can confirm that the same is happening. After Windows wake up from sleep, Firefox UI doesn't update anymore.

Previous versions were working just fine. Today I installed this 21.0 update, and here I am searching for a solution.

Graphics

        Adapter Description
        Intel(R)  G965 Express Chipset Family

        Adapter Drivers
        igdumd64 igdumdx32

        Adapter RAM
        Unknown

        Device ID
        0x29a2

        Direct2D Enabled
        Blocked for your graphics driver version.

        DirectWrite Enabled
        false (6.2.9200.16492)

        Driver Date
        9-23-2009

        Driver Version
        8.15.10.1930

        GPU #2 Active
        false

        GPU Accelerated Windows
        1/1 Direct3D 9

        Vendor ID
        0x8086

        WebGL Renderer
        Google Inc. -- ANGLE (Intel(R)  G965 Express Chipset Family)

        AzureCanvasBackend
        skia

        AzureContentBackend
        none

        AzureFallbackCanvasBackend
        cairo
Comment 4 undauntedspirit 2013-06-23 07:51:12 PDT
Same happens for me as well.  I've tried removing extensions and using safe mode, no difference.




  Application Basics

        Name
        Firefox

        Version
        21.0

        User Agent
        Mozilla/5.0 (Windows NT 6.1; WOW64; rv:21.0) Gecko/20100101 Firefox/21.0

        Build Configuration

          about:buildconfig

  Extensions

        Name

        Version

        Enabled

        ID

        Adblock Plus
        2.2.4
        true
        {d10d0bf8-f5b5-c8b4-a8b2-2b9879e08c5d}

        Collusion
        0.27
        true
        jid1-F9UJ2thwoAm5gQ@jetpack

        Fast Dial
        4.3.3
        true
        fastdial@telega.phpnet.us

        Flash and Video Download
        1.34
        true
        {bee6eb20-01e0-ebd1-da83-080329fb9a3a}

        Flashblock
        1.5.17
        true
        {3d7eb24f-2740-49df-8937-200b1cc08f8a}

        KeeFox
        1.2.3
        true
        keefox@chris.tomlinson

        NoScript
        2.6.6.6
        true
        {73a6fe31-595d-460b-a920-fcc0f8843232}

        Print pages to PDF
        0.1.9.0
        true
        printPages2Pdf@reinhold.ripper

        Rehost Image
        1.5.10
        true
        rehostimage@engy.us

        RightToClick
        2.9.4
        true
        {cd617375-6743-4ee8-bac4-fbf10f35729e}

        Self-Destructing Cookies
        0.4.0.1
        true
        jid0-9XfBwUWnvPx4wWsfBWMCm4Jj69E@jetpack

        Stay-Open Menu
        2.0.1
        true
        {3541c267-2580-4144-854e-2e05c8670121}

        Tab Mix Plus
        0.4.1.0
        true
        {dc572301-7619-498c-a57d-39143191b318}

        Thumbnail Zoom Plus
        2.4.3
        true
        thumbnailZoom@dadler.github.com

        Abduction!
        3.0.18
        false
        {b0e1b4a6-2c6f-4e99-94f2-8e625d7ae255}

        BetterPrivacy
        1.68
        false
        {d40f5e7b-d2cf-4856-b441-cc613eeffbe3}

        Flash Block
        4.20.13
        false
        {95ab36d4-fb6f-47b0-8b8d-e5f3bd547953}

        Forecastfox
        2.2.2
        false
        {0538E3E3-7E9B-4d49-8831-A227C80A7AD3}

        Ghostery
        2.9.5
        false
        firefox@ghostery.com

        Gmail Notifier (restartless)
        0.3.0
        false
        jid0-GjwrPchS3Ugt7xydvqVK4DQk8Ls@jetpack

        Mozilla Archive Format
        2.0.9
        false
        {7f57cf46-4467-4c2d-adfa-0cba7c507e54}

        Private Tab
        0.1.3
        false
        privateTab@infocatcher

        Reddit Enhancement Suite
        4.2.0.2
        false
        jid1-xUfzOsOFlzSOXg@jetpack

        Text Link
        4.1.2013040601
        false
        {54BB9F3F-07E5-486c-9B39-C7398B99391C}

  Important Modified Preferences

      Name

      Value

        accessibility.typeaheadfind.flashBar
        0

        browser.cache.disk.capacity
        1024000

        browser.cache.disk.smart_size.enabled
        false

        browser.cache.disk.smart_size.first_run
        false

        browser.cache.disk.smart_size.use_old_max
        false

        browser.cache.disk.smart_size_cached_value
        358400

        browser.places.smartBookmarksVersion
        4

        browser.startup.homepage
        chrome://fastdial/content/fastdial.html

        browser.startup.homepage_override.buildID
        20130511120803

        browser.startup.homepage_override.mstone
        21.0

        browser.tabs.closeWindowWithLastTab
        false

        browser.tabs.warnOnClose
        false

        dom.disable_open_during_load
        false

        dom.max_chrome_script_run_time
        0

        dom.max_script_run_time
        0

        dom.mozApps.used
        true

        dom.w3c_touch_events.expose
        false

        extensions.lastAppVersion
        21.0

        font.internaluseonly.changed
        false

        gfx.blacklist.direct2d
        4

        gfx.blacklist.layers.direct3d9
        4

        network.cookie.cookieBehavior
        1

        network.cookie.prefsMigrated
        true

        network.dns.disablePrefetch
        true

        network.http.pipelining
        true

        network.prefetch-next
        false

        places.database.lastMaintenance
        1371997703

        places.history.expiration.transient_current_max_pages
        69886

        plugin.disable_full_page_plugin_for_types
        application/pdf

        privacy.cpd.cookies
        false

        privacy.cpd.extensions-sessionmanager
        false

        privacy.cpd.extensions-tabmix
        false

        privacy.cpd.sessions
        false

        privacy.donottrackheader.enabled
        true

        privacy.sanitize.migrateFx3Prefs
        true

        privacy.sanitize.timeSpan
        0

  Graphics

        Adapter Description
        AMD Radeon HD 6310 Graphics

        Adapter Drivers
        aticfx64 aticfx64 aticfx64 aticfx32 aticfx32 aticfx32 atiumd64 atidxx64 atidxx64 atiumdag atidxx32 atidxx32 atiumdva atiumd6a atitmm64

        Adapter RAM
        384

        Device ID
        0x9802

        Direct2D Enabled
        Blocked for your graphics card because of unresolved driver issues.

        DirectWrite Enabled
        false (6.2.9200.16492)

        Driver Date
        12-19-2012

        Driver Version
        9.12.0.0

        GPU #2 Active
        false

        GPU Accelerated Windows
        0/1 Basic Blocked for your graphics card because of unresolved driver issues.

        Vendor ID
        0x1002

        WebGL Renderer
        Google Inc. -- ANGLE (AMD Radeon HD 6310 Graphics)

        AzureCanvasBackend
        skia

        AzureContentBackend
        none

        AzureFallbackCanvasBackend
        cairo

  JavaScript

        Incremental GC
        true

  Accessibility

        Activated
        false

        Prevent Accessibility
        0

  Library Versions

        Expected minimum version

        Version in use

        NSPR
        4.9.6
        4.9.6

        NSS
        3.14.3.0 Basic ECC
        3.14.3.0 Basic ECC

        NSSSMIME
        3.14.3.0 Basic ECC
        3.14.3.0 Basic ECC

        NSSSSL
        3.14.3.0 Basic ECC
        3.14.3.0 Basic ECC

        NSSUTIL
        3.14.3.0
        3.14.3.0
Comment 5 William Moyes 2013-06-23 09:40:40 PDT
I have been hitting this as well.  To be more specific I am placing my system into the ACPI S3 sleep state (i.e. Windows Sleep, not Hibernate). The problem just began recently, although I don't know which software update caused this regression.

When this happens it is as if the rendered contant isn't being copied to the display.  Clicking on tabs has no visible effect, nor does scrolling, and pages with autoupdating content (either GIFs or javascript) fail to update.  Even clicking on Tools\Add-ons fails to show the add-ons page.

However, clicking on one of the menus (File/Edit/View/History/Bookmarks/etc) will cause a single-shot update of the screen to occur. In other words I can change tabs, then click on the menu bar, and then the tab will visibliy switch.  Same thing occurs with an auto-updating web page, clicking on the menu bar will cause the display to 'snap' to a new frozen display of what should be there.

Below is the system config:



  Application Basics

        Name
        Firefox

        Version
        21.0

        User Agent
        Mozilla/5.0 (Windows NT 6.1; WOW64; rv:21.0) Gecko/20100101 Firefox/21.0

        Build Configuration

          about:buildconfig

  Extensions

        Name

        Version

        Enabled

        ID

        DownThemAll!
        2.0.16
        true
        {DDC359D1-844A-42a7-9AA1-88A850A938A8}

        Norton Toolbar
        2012.5.14.2
        true
        {2D3F3651-74B9-4795-BDEC-6DA2F431CB62}

        Norton Vulnerability Protection
        11.3.0.9 - 5
        true
        {BBDA0591-3099-440a-AA10-41764D9DB4DB}

  Important Modified Preferences

      Name

      Value

        accessibility.typeaheadfind.flashBar
        0

        browser.cache.disk.capacity
        358400

        browser.cache.disk.smart_size.first_run
        false

        browser.cache.disk.smart_size.use_old_max
        false

        browser.cache.disk.smart_size_cached_value
        358400

        browser.places.smartBookmarksVersion
        4

        browser.startup.homepage
        http://www.google.com/

        browser.startup.homepage_override.buildID
        20130511120803

        browser.startup.homepage_override.mstone
        21.0

        browser.tabs.warnOnClose
        false

        dom.mozApps.used
        true

        dom.w3c_touch_events.expose
        false

        extensions.lastAppVersion
        21.0

        gfx.direct3d.prefer_10_1
        true

        network.cookie.prefsMigrated
        true

        places.database.lastMaintenance
        1371966809

        places.history.expiration.transient_current_max_pages
        104858

        places.history.expiration.transient_optimal_database_size
        167772160

        plugin.disable_full_page_plugin_for_types
        application/pdf

        privacy.donottrackheader.enabled
        true

        privacy.sanitize.migrateFx3Prefs
        true

        security.warn_viewing_mixed
        false

  Graphics

        Adapter Description
        AMD Radeon(TM) HD 6620G

        Adapter Drivers
        aticfx64 aticfx64 aticfx64 aticfx32 aticfx32 aticfx32 atiumd64 atidxx64 atidxx64 atiumdag atidxx32 atidxx32 atiumdva atiumd6a atitmm64

        Adapter RAM
        512

        Device ID
        0x9641

        Direct2D Enabled
        true

        DirectWrite Enabled
        true (6.2.9200.16492)

        Driver Date
        7-5-2011

        Driver Version
        8.861.1.2000

        GPU #2 Active
        false

        GPU Accelerated Windows
        2/2 Direct3D 10

        Vendor ID
        0x1002

        WebGL Renderer
        Google Inc. -- ANGLE (AMD Radeon(TM) HD 6620G )

        AzureCanvasBackend
        direct2d

        AzureContentBackend
        direct2d

        AzureFallbackCanvasBackend
        cairo

  JavaScript

        Incremental GC
        true

  Accessibility

        Activated
        false

        Prevent Accessibility
        0

  Library Versions

        Expected minimum version

        Version in use

        NSPR
        4.9.6
        4.9.6

        NSS
        3.14.3.0 Basic ECC
        3.14.3.0 Basic ECC

        NSSSMIME
        3.14.3.0 Basic ECC
        3.14.3.0 Basic ECC

        NSSSSL
        3.14.3.0 Basic ECC
        3.14.3.0 Basic ECC

        NSSUTIL
        3.14.3.0
        3.14.3.0
Comment 6 William Moyes 2013-06-25 16:28:20 PDT
Today it wedged again, but this time the only tab that was open was the 'Firefox Health Report' page. The only other application running when the hang occurred was an instance of TextPad.
Comment 7 undauntedspirit 2013-06-26 05:43:21 PDT
Can confirm bug is still present in Version 22.... and very reproducible on multiple machines I own.
Comment 8 NerdyTechie 2013-07-07 13:12:27 PDT
Having problem on my machines too. One additional reproducible feature is that clicking twice on a systray icon will get the UI to repaint once. The problem may have started after a Java update -- is that possible?
Comment 9 nils 2013-07-15 17:20:21 PDT
Same here - on resume - some activities like new window work, typing in address bar gets stuck after 3-4 characters, UI hangs until restart

Graphics
      

      
        
        Adapter DescriptionATI Radeon HD 5800 SeriesAdapter Driversaticfx64 aticfx64 aticfx64 aticfx32 aticfx32 aticfx32 atiumd64 atidxx64 atidxx64 atiumdag atidxx32 atidxx32 atiumdva atiumd6a atitmm64Adapter RAM1024ClearType ParametersGamma: 2200 Pixel Structure: RGB ClearType Level: 50 Enhanced Contrast: 0 Device ID0x6899DirectWrite Enabledfalse (6.2.9200.16571)Driver Date9-27-2012Driver Version9.2.0.0GPU #2 ActivefalseGPU Accelerated Windows0/1 Basic Vendor ID0x1002WebGL RendererGoogle Inc. -- ANGLE (ATI Radeon HD 5800 Series)

        
        AzureCanvasBackendskiaAzureContentBackendnoneAzureFallbackCanvasBackendcairo
Comment 10 ub4me2 2013-07-17 22:05:52 PDT
I have had this problem since v21.  Very annoying problem. I have used FF since v1 without any problem nearly as bad as this one. I may have to use another browser if this is not fixed.
Comment 11 fdinel 2013-07-18 16:53:13 PDT
Same here.  I am currently at V22 and suffer from this bug on my 2 computers. I have seen this problem on and off for the last month. Flash and Java plugins are up to date.  It is very annoying.  If this issue does not get resolved soon, I will need to switch to another browser.
Comment 12 Roberto Casula 2013-07-19 10:12:15 PDT
This bug appears to be a duplicate of bug 873110 which is reported resolved in FF23 beta. Can the original reporter confirm?
Comment 13 nils 2013-07-19 10:30:58 PDT
FF23 beta seems to work in a couple of initial tests - will report back within 24h if issue remains
Comment 14 gary199301 2013-07-20 21:33:31 PDT
(In reply to Roberto Casula from comment #12)
> This bug appears to be a duplicate of bug 873110 which is reported resolved
> in FF23 beta. Can the original reporter confirm?

I can confirm that for me, the bug is resolved in FF23 beta.
Comment 15 fdinel 2013-07-28 10:45:33 PDT
I can also confirm that for me, the bug is resolved in FF23 beta.
Comment 16 Loic 2013-07-29 11:15:55 PDT
Thanks for the feedback.

*** This bug has been marked as a duplicate of bug 873110 ***
Comment 17 Prashanth 2013-08-13 17:50:21 PDT
Hi guys,

I'm actually experiencing this in Firefox 24 Beta on OSX 10.8.4 ML.  Has the fix made it upstream into the beta builds?

Here's the graphics section from my about:support, let me know if you need anything else.

Device ID	0x1189
GPU Accelerated Windows	2/2 OpenGL
Vendor ID	0x10de
WebGL Renderer	NVIDIA Corporation -- NVIDIA GeForce GTX 670 OpenGL Engine
windowLayerManagerRemote	false
AzureCanvasBackend	quartz
AzureContentBackend	none
AzureFallbackCanvasBackend	none
Comment 18 Prashanth 2013-08-13 18:25:23 PDT
Done: https://bugzilla.mozilla.org/show_bug.cgi?id=904958

Note You need to log in before you can comment on or make changes to this bug.